> ## Documentation Index
> Fetch the complete documentation index at: https://docs.memorose.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# 任务与目标

> L3 执行层 — 任务树、就绪队列和状态更新。

# 任务与目标（Tasks And Goals）

Memorose 将 `L3` 作为目标和任务记忆暴露出来：一个面向执行的任务与规划系统。

## 核心端点

* `GET /v1/users/:user_id/streams/:stream_id/tasks/tree`
* `GET /v1/users/:user_id/tasks/tree`
* `GET /v1/users/:user_id/tasks/ready`
* `PUT /v1/users/:user_id/tasks/:task_id/status`

## API 返回内容

任务树（Task Tree）路由返回目标根节点及其嵌套的 `L3Task` 子节点。就绪任务（Ready Task）路由返回依赖已满足且状态仍为待处理的任务。

## 更新任务状态

```bash theme={null}
curl -s -X PUT "http://127.0.0.1:3000/v1/users/user_123/tasks/11111111-1111-1111-1111-111111111111/status" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "status": "Completed",
    "progress": 1.0,
    "result_summary": "Migrated the API docs to the current route model."
  }'
```

当任务完成时，Memorose 可以将结果沉淀回事件流（Event Stream）。

## 为什么这很重要

这正是 `L3` 区别于通用笔记存储的关键。你可以追踪执行过程，而不仅仅是记住的事实。
